Back to API List To add or remove the ability to access App Builder to create new bots.Documentation Index
Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
This API requires JWT generated by an application created only from the Admin Console.
| Field | Value |
|---|---|
| Method | POST |
| Endpoint | https://{{host}}/api/public/useraccess |
| Content Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token. |
| API Scope | App Builder: Not Applicable; Admin Console: Profile Management > Role Management |
Path Parameters
| Parameter | Description |
|---|---|
host | Environment URL, for example, https://platform.kore.ai |
Sample Request
Body Parameters
| Parameter | Description |
|---|---|
emailIds | The array of user email IDs whose access permissions have to be changed, for example, ["john.doe@example.com", "jane.doe@example.com"]. |
canCreateBot | Determines if the specified users can create AI Agents in their App Builder accounts. Set to true or false. |
isDeveloper | Determines if the specified users can have access to App Builder. Set to true or false. |
hasDataTableAndViewAccess | Determines if the specified users can create tables and views. Set to true or false. |
Sample Response
Success:canCreateBot: true, isDeveloper: false):
emailIds is empty):